SanityTest (jTDS API)
Date: 2013-06-08

net.sourceforge.jtds.jdbc

## Class SanityTest

- java.lang.Object
- - TestCase
  - - net.sourceforge.jtds.jdbc.TestBase
    - - net.sourceforge.jtds.jdbc.SanityTest

-     public class SanityTest
      extends TestBase

  Some simple tests just to make sure everything is working properly.
  Version:
    $Id: SanityTest.java,v 1.8.2.1 2009-08-04 10:33:54 ickzon Exp $
  Author:
    Alin Sinpalean
  Created:
    9 August 2001

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.jtds.jdbc.TestBase

      `con, props`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SanityTest(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testCursorRSCreate()`
    `void` | `testCursorRSScroll()`
    `void` | `testCursorStatements()` Basic test of cursor mechanisms.
    `void` | `testNullImage()`
    `void` | `testNullText()`
    `void` | `testSanity()` A simple test to make sure everything seems to be OK

    - ### Methods inherited from class net.sourceforge.jtds.jdbc.TestBase

      `compareInputStreams, compareReaders, connect, dropDatabase, dropFunction, dropProcedure, dropTable, dropTrigger, dropType, dropView, dump, dump, dumpAll, dumpKeys, dumpRow, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SanityTest

          public SanityTest(java.lang.String name)

  - ### Method Detail

    - #### testSanity

          public void testSanity()
                          throws java.lang.Exception

      A simple test to make sure everything seems to be OK
      Throws:
        `java.lang.Exception`

    - #### testCursorStatements

          public void testCursorStatements()
                                    throws java.lang.Exception

      Basic test of cursor mechanisms.
      Throws:
        `java.lang.Exception`

    - #### testCursorRSCreate

          public void testCursorRSCreate()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCursorRSScroll

          public void testCursorRSScroll()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNullImage

          public void testNullImage()
                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testNullText

          public void testNullText()
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

Generated on June 8 2013